.mat-mdc-unelevated-button:not(:disabled):not(.mat-warn){
    color: var(--color-white) !important;
    background-color: var(--primary-color) !important;
}
button.secondary , button.primary{
    padding: 0.5rem 1rem;
    border-radius: 1.5rem;
    font-size: 0.825rem;
    font-weight: 600;
    font-family: var(--Rauth-Light);
    cursor: pointer;
}
button.secondary{
    color: var(--primary-color) !important;
    border: 1px solid var(--color-light-primary-grey);
}
button.primary, button.mat-mdc-raised-button{
    color: var(--color-white) !important;
    background-color: var(--primary-color) !important;
}
button.secondary-icon{
    height: 30px;
    width: 30px;
    border: 1px solid var(--color-light-primary-grey);
    color: var(--primary-color) !important;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}
button.secondary:hover , button.secondary-icon:hover{
    background-color: var(--color-light-grey);
    border: 1px solid transparent;
}

button.warning{
    background-color: var(--color-warn);
    color: var(--color-white) !important;
}
button:disabled{
    cursor: not-allowed !important;
    opacity: 0.3;
}